import _trimmedEndIndex_default from "./_trimmedEndIndex.js";
var reTrimStart = /^\s+/;
function baseTrim(r) {
	return r && r.slice(0, _trimmedEndIndex_default(r) + 1).replace(reTrimStart, "");
}
var _baseTrim_default = baseTrim;
export { _baseTrim_default as default };
